Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text range in echo area

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Apr 2016 10:38:42 +0300

> Date: Thu, 7 Apr 2016 18:32:51 -0400
> From: Ken Raeburn <[email-masked]>
> Cc: [email-masked]
> 
>  I've reviewed the changes between 25.0.90 and 25.0.92. I see nothing
>  that could be directly linked to this problem. The only commits that
>  might be even remotely related are these 3:
> 
>  d82f24ba8530eb8de04a319cc80742a0a953040e
> 
> This could be interesting...
> 
>  Maybe you should try reverting these one by one.
> 
> I have no reliable way of reproducing the problem, so not hitting another crash once a change is reverted
> wouldn't tell me much. Is there something further I could introduce a check for to see if one of these patches
> might be causing the problem?

Nothing comes to mind.  But since we are talking about a single
commit, just revert it and run with that for however long it usually
takes to see this problem again.

The problem seems to be that some code deletes text in the minibuffer,
but doesn't update the markers there.  I couldn't find a code pattern
that might have that effect, but maybe you can.